package com.manage.dao;

import com.manage.entity.Power_Role_Menu;
import com.manage.entity.Power_User_Menu;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface Power_User_MenuMapper {
    int deleteByPrimaryKey(Integer userMenuId);

    int insert(Power_User_Menu record);

    int insertSelective(Power_User_Menu record);

    Power_User_Menu selectByPrimaryKey(Integer userMenuId);

    int updateByPrimaryKeySelective(Power_User_Menu record);

    int updateByPrimaryKey(Power_User_Menu record);

    List<Power_User_Menu> selectUserMenuPower(@Param("sysFlag") String sysFlag, @Param("userId") Integer userId);
    List<Power_User_Menu> selectUserAndRoleMenuPower(@Param("sysFlag") String sysFlag, @Param("userId") Integer userId);

    int deleteUserMenuByUserIdAndSysFlag(@Param("sysFlag")String sysFlag,@Param("userId")Integer userId);

    int simpleInsertUserMenu(@Param("list")List<Power_User_Menu> list);
}